Support » Plugin: AMP » Validation Errors Unnecessary

  • Resolved David Elstob

    (@davwaiguy)


    1. When I edit my WordPress posts, the sanitizer strips both my Facebook Like and Comments from the page. Then gives me an error for them, even though it has stripped them and I can’t delete them anyway.

    I just put them back in which is what I want, but it’s a chore!

    2. I’m trying to use AMP everywhere, but when I turn on my homepage – which is an archive page for my blog posts – I get another error saying Facebook plugin not used. It seems to be flagging things that aren’t a problem.

    Please can you advise? Thanks.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Weston Ruter

    (@westonruter)

    Please share the URL for your site where we can see the issue. Are you in paired mode?

    Note that for Facebook Like and Facebook Comments to work, you’ll need to use the AMP components:

    https://www.ampproject.org/docs/reference/components/amp-facebook-like
    https://www.ampproject.org/docs/reference/components/amp-facebook-comments

    Hi Weston,

    My site is: https://gossiplolly.com

    I am running in AMP only native mode now and have even set my homepage to use AMP template also, because it was causing me problems if I didn’t. (Had to have two lots of Google Adsense, plus navbar didn’t work on homepage, etc.)

    The Facebook components were installed and working on all pages, apart from being occasionally stripped out by the sanitizer.

    To get rid of the error on my homepage, all I have done is add a Facebook comment section, which isn’t ideal, but I can live with it.

    So my only question now is how to deal with the sanitizer stripping the Facebook components, if it happens again.

    Thanks for your reply.

    Plugin Support Pascal Birchler

    (@swissspidy)

    As long as you are using the <amp-facebook-comments> and <amp-facebook-like> components, the sanitizer should not remove them at all.

    However, if you find that it would, in fact, strip the AMP components, this would be considered a bug in the plugin. In that case it would be great if you could open an issue at https://github.com/ampproject/amp-wp with some steps to reproduce the problem.

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.